Show / Hide Table of Contents

# Struct Curses.MouseEvent

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Unix.Terminal

###### Assembly: Terminal.Gui.dll

##### Syntax

    public struct MouseEvent

### Fields

#### ButtonState

##### Declaration

    public Curses.Event ButtonState

##### Field Value

Type | Description
--- | ---
Curses.Event |

#### ID

##### Declaration

    public short ID

##### Field Value

Type | Description
--- | ---
System.Int16 |

#### X

##### Declaration

    public int X

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Y

##### Declaration

    public int Y

##### Field Value

Type | Description
--- | ---
System.Int32 |

#### Z

##### Declaration

    public int Z

##### Field Value

Type | Description
--- | ---
System.Int32 |